Overview | Modules | Class Hierarchy | Classes | Members

Classes | Enumerations | Functions | Variables
ConsoleUtils.h File Reference
`#include <iostream>`
`#include <string>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <map>`
Include dependency graph for ConsoleUtils.h:

## Classes

- class TextFgColorSetup
- class TextBgColorSetup
- class TextEffectSetup

## Enumerations

- enum TextEffect { NORMAL = 1, BOLD = 2, UNDERLINED = 4, BLINK = 8 }
- enum TextColor {
  BLACK, RED, GREEN, YELLOW,
  BLUE, MAGENTA, CYAN, LIGHT_GRAY,
  DARK_GRAY, LIGHT_RED, LIGHT_GREEN, LIGHT_YELLOW,
  LIGHT_BLUE, LIGHT_MAGENTA, LIGHT_CYAN, WHITE
  }

## Functions

- static std::map< TextColor,
  std::string > initAnsiFgColors ()
- static std::map< TextColor,
  std::string > initAnsiBgColors ()
- static void escapeAnsiCode (std::ostream &os, const std::string &ansiCode, const std::string &endEscape="m")
- std::ostream & defaultTextColor (std::ostream &s)
- std::ostream & operator<< (std::ostream &s, const TextFgColorSetup &tgfcs)
- std::ostream & operator<< (std::ostream &s, const TextBgColorSetup &tbgcs)
- void setEffects (std::ostream &s, const int &effect)
- std::ostream & operator<< (std::ostream &s, const TextEffectSetup &tes)
- TextBgColorSetup setTextBackgroundColor (TextColor color)
- TextFgColorSetup setTextColor (TextColor color)
- TextEffectSetup setTextEffect (int effect)
- std::ostream & bold (std::ostream &s)
- std::ostream & underlined (std::ostream &s)
- std::ostream & red (std::ostream &s)
- std::ostream & green (std::ostream &s)
- std::ostream & blue (std::ostream &s)
- std::ostream & yellow (std::ostream &s)
- std::ostream & white (std::ostream &s)
- std::ostream & black (std::ostream &s)
- std::ostream & magenta (std::ostream &s)
- std::ostream & cyan (std::ostream &s)
- std::ostream & lightRed (std::ostream &s)
- std::ostream & lightGreen (std::ostream &s)
- std::ostream & lightBlue (std::ostream &s)
- std::ostream & lightYellow (std::ostream &s)
- std::ostream & lightGray (std::ostream &s)
- std::ostream & darkGray (std::ostream &s)
- std::ostream & lightMagenta (std::ostream &s)
- std::ostream & lightCyan (std::ostream &s)
- std::ostream & fillToEndOfLine (std::ostream &s)

## Variables

- static std::map< TextColor,
  std::string > ansiFgColors = initAnsiFgColors()
- static std::map< TextColor,
  std::string > ansiBgColors = initAnsiBgColors()

## Enumeration Type Documentation

enum TextColor

Enumerator:

  BLACK |
  RED |
  GREEN |
  YELLOW |
  BLUE |
  MAGENTA |
  CYAN |
  LIGHT_GRAY |
  DARK_GRAY |
  LIGHT_RED |
  LIGHT_GREEN |
  LIGHT_YELLOW |
  LIGHT_BLUE |
  LIGHT_MAGENTA |
  LIGHT_CYAN |
  WHITE |

enum TextEffect

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

Enumerator:

  NORMAL |
  BOLD |
  UNDERLINED |
  BLINK |

## Function Documentation

std::ostream& black | ( | std::ostream & | s | ) | `[inline]`

std::ostream& blue | ( | std::ostream & | s | ) | `[inline]`

std::ostream& bold | ( | std::ostream & | s | ) | `[inline]`

std::ostream& cyan | ( | std::ostream & | s | ) | `[inline]`

std::ostream& darkGray | ( | std::ostream & | s | ) | `[inline]`

std::ostream& defaultTextColor | ( | std::ostream & | s | ) | `[inline]`

static void escapeAnsiCode | ( | std::ostream & | os,
|  | const std::string & | ansiCode,
|  | const std::string & | endEscape = `"m"`
| ) |  | `[static]`

std::ostream& fillToEndOfLine | ( | std::ostream & | s | ) | `[inline]`

std::ostream& green | ( | std::ostream & | s | ) | `[inline]`

static std::map<TextColor, std::string> initAnsiBgColors | ( |  | ) | `[static]`

static std::map<TextColor, std::string> initAnsiFgColors | ( |  | ) | `[static]`

std::ostream& lightBlue | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightCyan | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightGray | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightGreen | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightMagenta | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightRed | ( | std::ostream & | s | ) | `[inline]`

std::ostream& lightYellow | ( | std::ostream & | s | ) | `[inline]`

std::ostream& magenta | ( | std::ostream & | s | ) | `[inline]`

std::ostream& operator<< | ( | std::ostream & | s,
|  | const TextEffectSetup & | tes
| ) |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | s,
|  | const TextFgColorSetup & | tgfcs
| ) |  | `[inline]`

std::ostream& operator<< | ( | std::ostream & | s,
|  | const TextBgColorSetup & | tbgcs
| ) |  | `[inline]`

std::ostream& red | ( | std::ostream & | s | ) | `[inline]`

void setEffects | ( | std::ostream & | s,
|  | const int & | effect
| ) |  | `[inline]`

TextBgColorSetup setTextBackgroundColor | ( | TextColor | color | ) | `[inline]`

TextFgColorSetup setTextColor | ( | TextColor | color | ) | `[inline]`

TextEffectSetup setTextEffect | ( | int | effect | ) | `[inline]`

std::ostream& underlined | ( | std::ostream & | s | ) | `[inline]`

std::ostream& white | ( | std::ostream & | s | ) | `[inline]`

std::ostream& yellow | ( | std::ostream & | s | ) | `[inline]`

## Variable Documentation

std::map<TextColor, std::string> ansiBgColors = initAnsiBgColors()`[static]`

std::map<TextColor, std::string> ansiFgColors = initAnsiFgColors()`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012